=== debian/changelog ===
pure-ffi (0.15-1) bionic; urgency=medium

  * New release

 -- Albert Graef <aggraef@gmail.com>  Wed, 11 Apr 2018 17:24:55 +0200

pure-ffi (0.14-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 13:13:34 +0200

pure-ffi (0.13-2) natty; urgency=low

  * Add examples

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:05:05 +0200

pure-ffi (0.13-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 00:14:33 +0200
