=== debian/control ===
Source: pure-ffi
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libffi-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-ffi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FFI interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This module provides an interface to libffi which enables you to
 call C functions from Pure and vice versa. It goes beyond Pure's built-in C
 interface in that it also handles C structs and makes Pure functions callable
 from C.
